#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE          := $(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.8/bin/armv7a-cros-linux-gnueabi-

TARGET_LINUXPATH       := $(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL := $(PRODUCT_OUT)/kernel

USBCONN_MODULE  := $(LOCAL_PATH)/icx_usbconn.ko
USBCONN_SUBDIRS := $(CURDIR)/$(LOCAL_PATH)

LOCAL_C_INCLUDES:= $(LOCAL_PATH)/../../../../kernel/include

LOCAL_SRC_FILES := $(addprefix $(USBCONN_SUBDIRS)/, \
	icx_usbconn.c \
)


USBCONN_CLEANUP := $(addprefix $(USBCONN_SUBDIRS)/, \
	*.o \
	.*cmd \
	.tmp_versions \
	icx_usbconn.mod.c \
	icx_usbconn.mod.o \
	Module.symvers \
	modules.order \
)

$(USBCONN_MODULE): $(LOCAL_SRC_FILES) $(TARGET_PREBUILT_KERNEL)
	make \
		ARCH=arm \
		CROSS_COMPILE=$(CROSS_COMPILE) \
		-C $(TARGET_LINUXPATH) \
		SUBDIRS=$(USBCONN_SUBDIRS) \
		$(ICX_KERNEL_MODULE_MAKE_OPT) \
		modules
	$(CROSS_COMPILE)strip --strip-unneeded $(USBCONN_MODULE)
	rm -rf $(USBCONN_CLEANUP)


LOCAL_MODULE := icx_usbconn.ko
LOCAL_MODULE_TAGS := debug
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES := icx_usbconn.ko

include $(BUILD_PREBUILT)

#endif



